com.pixelmed.scpecg

## Class Section5Or6

- java.lang.Object
- - com.pixelmed.scpecg.Section
  - - com.pixelmed.scpecg.Section5Or6

-     public class Section5Or6
      extends Section

  A class to encapsulate the SCP-ECG Encoded Reference Beat Data and Residual or Rhythm Data sections.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.scpecg.Section

      `bytesRead, header, sectionBytesRemaining, tree`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Section5Or6(SectionHeader header, int numberOfLeads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAmplitudeValueMultiplier()`
    `int` | `getBimodalCompressionUsed()`
    `int[]` | `getByteLengthsOfEncodedLeads()`
    `byte[][]` | `getCompressedLeadData()`
    `int` | `getDifferenceDataUsed()`
    `int` | `getNumberOfLeads()`
    `int` | `getSampleTimeInterval()`
    `java.lang.String` | `getSectionName()` Get a string name for this section.
    `long` | `getTotalBytesinCompressedLeadData()`
    `SCPTreeRecord` | `getTree(SCPTreeRecord parent)` Get the contents of the section as a tree for display, constructing it if not already done.
    `long` | `read(BinaryInputStream i)` Read the remainder of the section from a stream.
    `java.lang.String` | `toString()` Dump the section as a `String`.
    `java.lang.String` | `validate()` Validate the section against the standard.

    - ### Methods inherited from class com.pixelmed.scpecg.Section

      `addNodeOfDecimalAndHex, addNodeOfDecimalWithMissingValues, addSectionHeaderToTree, describeMissingValues, getSectionHeader, getTree, getValueForSectionNodeInTree, makeSection, makeStringFromByteArrayRemovingAnyNulls, skipToEndOfSectionIfNotAlreadyThere`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Section5Or6

          public Section5Or6(SectionHeader header,
                             int numberOfLeads)

  - ### Method Detail

    - #### getSectionName

          public java.lang.String getSectionName()

      Get a string name for this section.

      Overrides:
        `getSectionName` in class `Section`
      Returns:
        a string name for this section

    - #### getAmplitudeValueMultiplier

          public int getAmplitudeValueMultiplier()

    - #### getSampleTimeInterval

          public int getSampleTimeInterval()

    - #### getDifferenceDataUsed

          public int getDifferenceDataUsed()

    - #### getBimodalCompressionUsed

          public int getBimodalCompressionUsed()

    - #### getNumberOfLeads

          public int getNumberOfLeads()

    - #### getByteLengthsOfEncodedLeads

          public int[] getByteLengthsOfEncodedLeads()

    - #### getTotalBytesinCompressedLeadData

          public long getTotalBytesinCompressedLeadData()

    - #### getCompressedLeadData

          public byte[][] getCompressedLeadData()

    - #### read

          public long read(BinaryInputStream i)
                    throws java.io.IOException

      Description copied from class: `Section`

      Read the remainder of the section from a stream.

      Overrides:
        `read` in class `Section`
      Parameters:
        `i` - the input stream
      Returns:
        the number of bytes read
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Section`

      Dump the section as a `String`.

      Overrides:
        `toString` in class `Section`
      Returns:
        the section as a `String`

    - #### validate

          public java.lang.String validate()

      Description copied from class: `Section`

      Validate the section against the standard.

      Overrides:
        `validate` in class `Section`
      Returns:
        the validation results as a `String`

    - #### getTree

          public SCPTreeRecord getTree(SCPTreeRecord parent)

      Get the contents of the section as a tree for display, constructing it if not already done.

      Overrides:
        `getTree` in class `Section`
      Parameters:
        `parent` - the node to which this section is to be added if it needs to be created de novo
      Returns:
        the section as a tree